Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.transport.http
Class OracleSOAPHTTPConnection

    java.lang.Object
      |
      +--oracle.soap.transport.http.OracleSOAPHTTPConnection

All Implemented Interfaces:
  OracleSOAPTransport, SOAPTransport

public class OracleSOAPHTTPConnection
extends java.lang.Object
implements OracleSOAPTransport

Field Summary
`static java.lang.String` | `ALLOW_USER_INTERACTION` property to set user interaction
`static java.lang.String` | `AUTH_TYPE` property used for defining http auth type (basic/digest)
`static java.lang.String` | `CIPHERS` property used for defining cipher suites used for HTTPS (colon separated list of cipher suites)
`static java.lang.String` | `NO_UTF8` Connection property to remove the "charset" parameter in the Content-Type HTTP header.
`static java.lang.String` | `PASSWORD` property used for defining http password
`static java.lang.String` | `PROXY_AUTH_TYPE` property used for defining proxy auth type (basic/digest)
`static java.lang.String` | `PROXY_HOST` property used for defining proxy host
`static java.lang.String` | `PROXY_PASSWORD` property used for defining proxy password
`static java.lang.String` | `PROXY_PORT` property used for defining proxy port
`static java.lang.String` | `PROXY_REALM` property used for defining http auth realm used by HTTPClient
`static java.lang.String` | `PROXY_USERNAME` property used for defining proxy username
`static java.lang.String` | `REALM` property used for defining http auth realm used by HTTPClient
`static java.lang.String` | `USERNAME` property used for defining http username
`static java.lang.String` | `WALLET_LOCATION` property used for defining wallet location used for HTTPS
`static java.lang.String` | `WALLET_PASSWORD` property used for defining wallet password used for HTTPS

Constructor Summary
`OracleSOAPHTTPConnection()` Default constructor.
`OracleSOAPHTTPConnection(java.util.Properties prop)` Constructor that takes Properties as an arg.

Method Summary
`void` | `close()` Closes the connection.
`void` | `finalize()`
`java.lang.String` | `getAuthType()` Get the HTTP authentication type.
`java.lang.String` | `getCiphers()` Get the cipher suites
`java.util.Hashtable` | `getHeaders()` Return access to headers generated by the protocol.
`boolean` | `getMaintainSession()` Return session maintanence status.
`int` | `getOutputBufferSize()` Gets the output buffer size (in bytes).
`java.lang.String` | `getPassword()` Get the password for HTTP authentication.
`java.util.Properties` | `getProperties()` Get the connection properties.
`java.lang.String` | `getProxyAuthType()` Get the HTTP proxy authentication type.
`java.lang.String` | `getProxyHost()` Get HTTP proxy host.
`java.lang.String` | `getProxyPassword()` Get the password for HTTP proxy authentication.
`int` | `getProxyPort()` Get HTTP proxy port.
`java.lang.String` | `getProxyRealm()` Get the realm for HTTP proxy authentication.
`java.lang.String` | `getProxyUserName()` Get the username for HTTP proxy authentication.
`java.lang.String` | `getRealm()` Get the realm for HTTP authentication.
`java.util.Properties` | `getRequestHeaders()` Gets the HTTP request headers.
`SOAPContext` | `getResponseSOAPContext()` Return the SOAPContext associated with the response.
`int` | `getTimeout()` Get the HTTP read timeout.
`boolean` | `getUserInteraction()` Get user interaction.
`java.lang.String` | `getUserName()` Get the username for HTTP authentication.
`java.lang.String` | `getWalletLocation()` Get the Oracle Wallet Location.
`java.lang.String` | `getWalletPassword()` Get the Oracle Wallet password.
`java.io.BufferedReader` | `receive()` Return a buffered reader to receive back the response to whatever was sent to whatever.
`void` | `send(java.net.URL sendTo, java.lang.String action, java.util.Hashtable headers, Envelope env, SOAPMappingRegistry smr, SOAPContext ctx)` This method is used to request that an envelope be posted to the given URL.
`void` | `setAuthType(java.lang.String authType)` Set the HTTP authentication type.
`void` | `setCiphers(java.lang.String ciphers)` Set the cipher suites
`void` | `setMaintainSession(boolean maintainSession)` Indicate whether to maintain HTTP sessions.
`void` | `setOutputBufferSize(int sz)` Sets the output buffer size (in bytes).
`void` | `setPassword(java.lang.String password)` Set the password for HTTP authentication.
`void` | `setProperties(java.util.Properties prop)` Set the connection properties.
`void` | `setProxyAuthType(java.lang.String authType)` Set the HTTP proxy authentication type.
`void` | `setProxyHost(java.lang.String host)` Set HTTP proxy host.
`void` | `setProxyPassword(java.lang.String password)` Set the password for HTTP proxy authentication.
`void` | `setProxyPort(int port)` Set HTTP proxy port.
`void` | `setProxyRealm(java.lang.String proxyRealm)` Set the realm for HTTP proxy authentication.
`void` | `setProxyUserName(java.lang.String username)` Set the username for HTTP proxy authentication.
`void` | `setRealm(java.lang.String realm)` Set the realm for HTTP authentication.
`void` | `setRequestHeaders(java.util.Properties headers)` Sets the HTTP request headers.
`void` | `setTimeout(int timeout)` Set the HTTP read timeout.
`void` | `setUserInteraction(boolean userInteraction)` Set user interaction.
`void` | `setUserName(java.lang.String username)` Set the username for HTTP authentication.
`void` | `setWalletLocation(java.lang.String wltLoc)` Set the Oracle Wallet Location.
`void` | `setWalletPassword(java.lang.String wltPassword)` Set the Oracle Wallet password.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_UTF8

    public static final java.lang.String NO_UTF8

  Connection property to remove the "charset" parameter in the Content-Type HTTP header. The Content-Type HTTP header is "text/xml; charset=utf-8" (unless the message has attachments). If this property is set for the connection, then the Content-Type HTTP header is set to "text/xml" (unless the message has attachments). The message contents are still encoded as UTF8.
  See Also:
    Constant Field Values

### ALLOW_USER_INTERACTION

    public static final java.lang.String ALLOW_USER_INTERACTION

  property to set user interaction
  See Also:
    Constant Field Values

### PROXY_HOST

    public static final java.lang.String PROXY_HOST

  property used for defining proxy host

### PROXY_PORT

    public static final java.lang.String PROXY_PORT

  property used for defining proxy port

### PROXY_AUTH_TYPE

    public static final java.lang.String PROXY_AUTH_TYPE

  property used for defining proxy auth type (basic/digest)

### PROXY_USERNAME

    public static final java.lang.String PROXY_USERNAME

  property used for defining proxy username

### PROXY_PASSWORD

    public static final java.lang.String PROXY_PASSWORD

  property used for defining proxy password

### AUTH_TYPE

    public static final java.lang.String AUTH_TYPE

  property used for defining http auth type (basic/digest)

### USERNAME

    public static final java.lang.String USERNAME

  property used for defining http username

### PASSWORD

    public static final java.lang.String PASSWORD

  property used for defining http password

### REALM

    public static final java.lang.String REALM

  property used for defining http auth realm used by HTTPClient
  See Also:
    Constant Field Values

### PROXY_REALM

    public static final java.lang.String PROXY_REALM

  property used for defining http auth realm used by HTTPClient
  See Also:
    Constant Field Values

### WALLET_LOCATION

    public static final java.lang.String WALLET_LOCATION

  property used for defining wallet location used for HTTPS

### WALLET_PASSWORD

    public static final java.lang.String WALLET_PASSWORD

  property used for defining wallet password used for HTTPS

### CIPHERS

    public static final java.lang.String CIPHERS

  property used for defining cipher suites used for HTTPS (colon separated list of cipher suites)

Constructor Detail

### OracleSOAPHTTPConnection

    public OracleSOAPHTTPConnection()

  Default constructor.

### OracleSOAPHTTPConnection

    public OracleSOAPHTTPConnection(java.util.Properties prop)

  Constructor that takes Properties as an arg.
Parameters:
  `prop` - connection properties

Method Detail

### setProperties

    public void setProperties(java.util.Properties prop)

  Set the connection properties.
  Specified by:
    `setProperties` in interface `OracleSOAPTransport`
  Parameters:
    `prop` - connection properties

### getProperties

    public java.util.Properties getProperties()

  Get the connection properties.
  Specified by:
    `getProperties` in interface `OracleSOAPTransport`
  Returns:
    connection properties

### setUserInteraction

    public void setUserInteraction(boolean userInteraction)

  Set user interaction.
  Parameters:
    `userInteraction` - allow userInteraction if true.

### getUserInteraction

    public boolean getUserInteraction()

  Get user interaction.
  Returns:
    the flag indicating user interaction.

### setProxyHost

    public void setProxyHost(java.lang.String host)

  Set HTTP proxy host.
  Parameters:
    `host` - the HTTP proxy host or null if no proxy.

### getProxyHost

    public java.lang.String getProxyHost()

  Get HTTP proxy host.
  Returns:
    the HTTP proxy host or null if no proxy.

### setProxyPort

    public void setProxyPort(int port)

  Set HTTP proxy port.
  Parameters:
    `port` - the HTTP proxy port.

### getProxyPort

    public int getProxyPort()

  Get HTTP proxy port.
  Returns:
    the HTTP proxy port. Invalid if getProxyHost() returns null.

### setAuthType

    public void setAuthType(java.lang.String authType)

  Set the HTTP authentication type.

### getAuthType

    public java.lang.String getAuthType()

  Get the HTTP authentication type.

### setUserName

    public void setUserName(java.lang.String username)

  Set the username for HTTP authentication.

### getUserName

    public java.lang.String getUserName()

  Get the username for HTTP authentication.

### setPassword

    public void setPassword(java.lang.String password)

  Set the password for HTTP authentication.

### getPassword

    public java.lang.String getPassword()

  Get the password for HTTP authentication.

### setRealm

    public void setRealm(java.lang.String realm)

  Set the realm for HTTP authentication.

### getRealm

    public java.lang.String getRealm()

  Get the realm for HTTP authentication.

### setProxyAuthType

    public void setProxyAuthType(java.lang.String authType)

  Set the HTTP proxy authentication type.

### getProxyAuthType

    public java.lang.String getProxyAuthType()

  Get the HTTP proxy authentication type.

### setProxyUserName

    public void setProxyUserName(java.lang.String username)

  Set the username for HTTP proxy authentication.

### getProxyUserName

    public java.lang.String getProxyUserName()

  Get the username for HTTP proxy authentication.

### setProxyPassword

    public void setProxyPassword(java.lang.String password)

  Set the password for HTTP proxy authentication.

### getProxyPassword

    public java.lang.String getProxyPassword()

  Get the password for HTTP proxy authentication.

### setProxyRealm

    public void setProxyRealm(java.lang.String proxyRealm)

  Set the realm for HTTP proxy authentication.

### getProxyRealm

    public java.lang.String getProxyRealm()

  Get the realm for HTTP proxy authentication.

### setWalletLocation

    public void setWalletLocation(java.lang.String wltLoc)

  Set the Oracle Wallet Location.

### getWalletLocation

    public java.lang.String getWalletLocation()

  Get the Oracle Wallet Location.

### setWalletPassword

    public void setWalletPassword(java.lang.String wltPassword)

  Set the Oracle Wallet password.

### getWalletPassword

    public java.lang.String getWalletPassword()

  Get the Oracle Wallet password.

### setCiphers

    public void setCiphers(java.lang.String ciphers)

  Set the cipher suites

### getCiphers

    public java.lang.String getCiphers()

  Get the cipher suites

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

  Indicate whether to maintain HTTP sessions.

### getMaintainSession

    public boolean getMaintainSession()

  Return session maintanence status.

### setTimeout

    public void setTimeout(int timeout)

  Set the HTTP read timeout.
  Parameters:
    `timeout` - the amount of time, in ms, to block on reading data. A zero value indicates an infinite timeout.

### getTimeout

    public int getTimeout()

  Get the HTTP read timeout.
  Returns:
    the amount of time, in ms, to block on reading data.

### setOutputBufferSize

    public void setOutputBufferSize(int sz)

  Sets the output buffer size (in bytes).
  Parameters:
    `sz` - The output buffer size (in bytes).

### getOutputBufferSize

    public int getOutputBufferSize()

  Gets the output buffer size (in bytes).
  Returns:
    The output buffer size (in bytes).

### setRequestHeaders

    public void setRequestHeaders(java.util.Properties headers)

  Sets the HTTP request headers. These headers are used only if the `send` method is called with `null` protocol headers. The HTTP header names are case insensitive. If two (or more) headers, whose names only differ by case, are set; only one of those two (or more) headers will be sent. It is undefined as to which header, of the two (or more) headers whose names only differ by case, will get picked to be send.
  Parameters:
    `headers` - Properties that contain the HTTP request headers.
  See Also:
    `send`

### getRequestHeaders

    public java.util.Properties getRequestHeaders()

  Gets the HTTP request headers. These headers are used only if the `send` method is called with `null` protocol headers.
  Returns:
    Properties that contain the HTTP request headers.
  See Also:
    `send`

### send

    public void send(java.net.URL sendTo,
                     java.lang.String action,
                     java.util.Hashtable headers,
    Envelope env,
    SOAPMappingRegistry smr,
    SOAPContext ctx)
              throws SOAPException

  This method is used to request that an envelope be posted to the given URL. The response (if any) must be gotten by calling the receive() function. Soap clients should not use this method directly but use `org.apache.soap.rpc.Call` instead.
  Specified by:
    `send` in interface `SOAPTransport`
  Parameters:
    `sendTo` - the URL to send the envelope to
    `action` - the SOAPAction header field value
    `headers` - any other header fields to go to as protocol headers
    `env` - the envelope to send
    `smr` - the XML<->Java type mapping registry (passed on)
    `ctx` - the request SOAPContext
  Throws:
    `SOAPException` - with appropriate reason code if problem

### receive

    public java.io.BufferedReader receive()

  Return a buffered reader to receive back the response to whatever was sent to whatever. Soap clients should not use this method directly but use `org.apache.soap.rpc.Call` instead.
  Specified by:
    `receive` in interface `SOAPTransport`
  Returns:
    a reader to read the results from or null if that's not possible.

### getHeaders

    public java.util.Hashtable getHeaders()

  Return access to headers generated by the protocol. Soap clients should not use this method directly but use `org.apache.soap.rpc.Call` instead.
  Specified by:
    `getHeaders` in interface `SOAPTransport`
  Returns:
    a hashtable containing all the headers

### getResponseSOAPContext

    public SOAPContext getResponseSOAPContext()

  Return the SOAPContext associated with the response.
  Specified by:
    `getResponseSOAPContext` in interface `SOAPTransport`
  Returns:
    response SOAPContext

### close

    public void close()

  Closes the connection. Once this method has been called, the `BufferedReader` returned by `receive` method may be closed and should not be used. Calling this method will free resources without having the garbage collector run
  Specified by:
    `close` in interface `OracleSOAPTransport`

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.